<?php
	$tab_votes = $tab_responses = $tab_latest = '';

	$active_tab_css = 'current main-gradient gradient';
	switch ( get_query_var('orderby') ) {
		case 'meta_value':
			$tab_votes = $active_tab_css;
			$title = __( 'Most Votes', APP_TD );
			break;
		case 'comment_count';
			$tab_responses = $active_tab_css;
			$title = __( 'Most Responses', APP_TD );
			break;
		default:
			$tab_latest = $active_tab_css;
			$title = __( 'Latest Ideas', APP_TD );
	}

?>
<div class="main list fl">

	<div class="section-head-container clear">

		<?php if ( $wp_query->found_posts > 0 ) : ?>
		<div class="section-head-tabs">
			<ul>
				<li><a href="#latest" class="<?php echo esc_attr( $tab_latest ); ?>"><?php _e( 'Latest', APP_TD ); ?></a></li>
				<li><a href="#votes" class="<?php echo esc_attr( $tab_votes ); ?>"><?php _e( 'Votes', APP_TD ); ?></a></li>
				<li><a href="#responses" class="<?php echo esc_attr( $tab_responses ); ?>"><?php _e( 'Responses', APP_TD ); ?></a></li>
			</ul>
		</div><!-- /.section-head-tabs -->
		<?php endif; ?>

		<div class="section-head">
			<?php if ( is_search() ) : ?>
				<h3><?php printf( __( '%d idea(s) matching "%s"', APP_TD ), $wp_query->found_posts, ideax_get_search_query_var( 's_idea' ) ); ?></h3>
			<?php else: ?>
				<?php if ( is_tax( IDEAX_CATEGORY ) || is_tax( IDEAX_TAG ) || is_tax( IDEAX_STATUS ) ) { ?>
					<h2><?php printf( __( 'Ideas - %s', APP_TD ), single_term_title( '', false ) ); ?></h2>
				<?php } else { ?>
					<h2><?php _e( 'Ideas', APP_TD ); ?></h2>
				<?php } ?>
			<?php endif; ?>
		</div><!-- /.section-head -->

	</div><!-- /.section-head-container -->


	<div class="all-listings clear">

		<?php if ( have_posts() ) { ?>

			<?php appthemes_before_loop( IDEAX_PTYPE ); ?>

			<?php while ( have_posts() ) : the_post(); ?>

				<?php appthemes_before_post( IDEAX_PTYPE ); ?>

				<?php get_template_part( 'content-idea' ); ?>

				<?php appthemes_after_post( IDEAX_PTYPE ); ?>

			<?php endwhile; ?>

			<?php appthemes_after_loop( IDEAX_PTYPE ); ?>

			<?php if ( $wp_query->max_num_pages > 1 ) : ?>
				<nav class="pagination">
					<?php appthemes_pagenavi(); ?>
				</nav>
			<?php endif; ?>

		<?php } else { ?>

			<article>
				<?php if ( is_search() ) { ?>
					<h3><?php printf( __( 'Sorry, no ideas were found for "%s"', APP_TD ), ideax_get_search_query_var( 's_idea' ) ); ?></h3>
				<?php } elseif ( is_archive() && get_query_var( 'idea_filter' ) ) { ?>
					<h3><?php printf( __( 'Sorry, no "%s" yet ', APP_TD ), get_query_var( 'idea_filter' ) ); ?></h3>
				<?php } elseif ( is_archive() && is_tax() ) { ?>
					<h3><?php printf( __( 'Sorry, there are no ideas for %s "%s"', APP_TD ), ( is_tax( IDEAX_CATEGORY ) ? __( 'category', APP_TD ) : __( 'tag', APP_TD ) ), single_term_title( '', false ) ); ?></h3>
				<?php } elseif ( is_archive() ) { ?>
					<h3><?php _e( 'Sorry, no ideas yet.', APP_TD ); ?></h3>
				<?php }; ?>
			</article>

		<?php } ?>

	</div><!-- /.all-listings -->

</div><!-- /.main -->

<?php get_sidebar( app_template_base() ); ?>

