<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments and the comment form. The actual display of comments is
 * handled by a callback located in ../includes/comments.php file.
 *
 */
?>

<div id="comments">
	<?php if ( post_password_required() ) : ?>
		<h4 class="nopassword"><?php _e( 'This idea is password protected. Enter the password to view any comments.', APP_TD ); ?></h4>
	</div><!-- #comments -->
	<?php return;
		endif;
	?>

	<?php appthemes_before_comments(); ?>

	<?php if ( have_comments() ) : ?>

		<div class="section-head-container clear">
			<div class="section-head">
				<h3><?php printf( _n( 'One Response', '%s Responses', get_comments_number(), APP_TD ), number_format_i18n( get_comments_number() ) ); ?></h3>
			</div><!-- /.section-head -->
		</div><!-- /.section-head-container -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<div class="prevnext">
			<div class="fl"><?php previous_comments_link(); ?></div>
			<div class="fr"><?php next_comments_link(); ?></div>
			<div class="clr"></div>
		</div><!-- #navigation -->
		<?php endif; ?>

		<ul class="all-response-listings">
			<?php wp_list_comments( array( 'type' => 'comment', 'callback' => 'ideax_comments' ) ); ?>
		</ul>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<nav id="comment-nav-below">
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', APP_TD ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', APP_TD ) ); ?></div>
		</nav>
		<?php endif; ?>

	<?php else : ?>

		<?php if ( ! comments_open() && get_comments_number() ) : ?>
			<h4 class="nocomments"><?php _e( 'Comments are closed.', APP_TD ); ?></h4>
		<?php endif; ?>

	<?php endif; ?>

	<?php appthemes_after_comments(); ?>

	<?php appthemes_before_comments_form(); ?>

	<?php comments_template( '/form-comments-ideas.php', true ); ?>

	<?php appthemes_after_comments_form(); ?>

</div><!-- #comments -->
