
<article id="post-<?php the_ID(); ?>" <?php post_class( array( 'listing', 'box-shadow', 'drop-shadow', 'lifted' ) ); ?> itemscope itemtype="http://schema.org/Offer">

	<div class="listing-count fl">
		<ul>
			<li class="stats"><span class="listing-counter-votes"><?php the_votes(); ?></span><?php echo _n( 'Vote', 'Votes', get_the_votes(), APP_TD ); ?></li>
			<li><span class="listing-counter-responses"><?php the_responses(); ?></span><?php echo _n( 'Response', 'Responses', get_the_responses(), APP_TD ); ?></li>
		</ul>
		<?php if ( is_singular( IDEAX_PTYPE ) ) echo ideax_vote_arrows(); ?>
	</div><!-- /.listing-count -->

	<div class="listing-info-container clear">

		<div class="listing-info clear">

			<?php appthemes_before_post_title( IDEAX_PTYPE ); ?>

			<?php if ( is_singular( IDEAX_PTYPE ) ) : ?>
				<h2 itemprop="name"><?php the_title(); ?></h2>
			<?php else: ?>
				<h2 itemprop="name"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<?php endif; ?>

			<?php appthemes_after_post_title( IDEAX_PTYPE ); ?>

			<div class="idea-content" itemprop="description">
				<?php if ( is_singular( IDEAX_PTYPE ) ) : ?>
					<?php the_content(); ?>
				<?php else : ?>
					<p class="excerpt"><?php strip_tags( the_excerpt() ); ?></p>
				<?php endif; ?>
			</div>

			<?php if ( 'publish' != get_post_status() ) { ?>
				<div class="pending-review"><?php _e( 'Pending Review', APP_TD ); ?></div>
			<?php } ?>


			<div class="listing-category">
				<span class="category" itemprop="category"><?php the_idea_category(); ?></span> / <span class="status <?php the_idea_status_slug(); ?>" itemprop="availability"><?php the_idea_status(); ?></span>
			</div><!-- /.listing-category -->

			<?php if ( is_singular( IDEAX_PTYPE ) ) { ?>
				<div class="listing-tags">
					<span class="tags"><?php the_idea_tags(); ?></span>
				</div><!-- /.listing-tags -->

				<div class="listing-actions">
					<?php the_idea_edit_link(); ?>
				</div><!-- /.listing-actions -->
			<?php } ?>

		</div><!-- /.listing-info -->

		<div class="listing-meta-wrap">
			<div class="listing-meta">
				<span class="listing-author-avatar"><?php the_author_gravatar(); ?></span>
				<span class="listing-author-username"><?php the_idea_author(); ?></span>
				<span class="listing-comment-count" title="<?php esc_attr_e( 'Total Comments', APP_TD ); ?>"><?php the_idea_comments_count(); ?></span>
				<span class="listing-date"><?php the_idea_time(); ?></span>
			</div><!-- /.listing-meta-wrap -->
		</div><!-- /.listing-meta -->

	</div><!-- /.listing-info-container -->

</article>
