<?php
/**
 * Template Name: Edit Profile
 *
 * This template must be assigned to a page
 * in order for it to work correctly
 *
 */

global $wp_version;

$current_user = wp_get_current_user(); // grabs the user info and puts into vars

$show_password_fields = apply_filters( 'show_password_fields', true );
?>

<div class="main edit-profile fl">

	<?php do_action( 'appthemes_notices' ); ?>

	<div class="section-head-container clear">
		<div class="section-head">
			<h2><?php _e( 'Update Your Profile', APP_TD ); ?></h2>
		</div><!-- /.section-head -->
	</div><!-- /.section-head-container -->

	<div class="clear">
		<section class="status-publish hentry clear">
			<div class="clear">

				<form name="profile" id="edit-profile-form" class="edit-profile-form listing box-shadow" action="" method="post">
				<?php wp_nonce_field( 'app-edit-profile' ); ?>

				<input type="hidden" name="from" value="profile" />
				<input type="hidden" name="checkuser_id" value="<?php echo $user_ID; ?>" />

				<div class="column-container">
					<div class="half">
						<p class="profile-name clear">
							<label for="profile-name" class="fl"><?php _e( 'First Name', APP_TD ); ?></label>
							<input id="first_name" class="gradient" name="first_name" type="text" value="<?php echo esc_attr( $current_user->user_firstname ); ?>" size="30" aria-required="true" />
						</p>
					</div>
					<div class="half half_last">
						<p class="profile-surname clear">
							<label for="profile-surname" class="fl"><?php _e( 'Last Name', APP_TD ); ?></label>
							<input id="last_name" class="gradient" name="last_name" type="text" value="<?php echo esc_attr( $current_user->user_lastname ); ?>" size="30" aria-required="true" />
						</p>
					</div>
				</div>

				<p class="profile-email clear">
					<label for="profile-email" class="fl"><?php _e( 'Email', APP_TD ); ?> <span class="required">*</span></label>
					<input id="profile-email" class="gradient" name="email" type="text" value="<?php echo esc_attr( $current_user->user_email ); ?>" size="30" aria-required="true" />
				</p>

				<div class="column-container">
					<div class="half">
						<p class="profile-username clear">
							<label for="user_login" class="fl"><?php _e( 'Username', APP_TD ); ?></label>
							<input id="user_login" class="gradient" name="user_login" type="text" value="<?php echo esc_attr( $current_user->user_login ); ?>" size="30" disabled />
						</p>
					</div>
					<div class="half half-last">
						<p class="profile-display-name clear">
							<label for="display_name" class="fl"><?php _e( 'Display Name', APP_TD ); ?></label>
							<select name="display_name" id="display_name" class="gradient">
							<?php
								$public_display = array();
								$public_display['display_nickname'] = $current_user->nickname;
								$public_display['display_username'] = $current_user->user_login;

								if ( ! empty( $current_user->first_name ) )
									$public_display['display_firstname'] = $current_user->first_name;

								if ( ! empty( $current_user->last_name ) )
									$public_display['display_lastname'] = $current_user->last_name;

								if ( ! empty( $current_user->first_name ) && ! empty( $current_user->last_name ) ) {
									$public_display['display_firstlast'] = $current_user->first_name . ' ' . $current_user->last_name;
									$public_display['display_lastfirst'] = $current_user->last_name . ' ' . $current_user->first_name;
								}

								if ( ! in_array( $current_user->display_name, $public_display ) ) // Only add this if it isn't duplicated elsewhere
									$public_display = array( 'display_displayname' => $current_user->display_name ) + $public_display;

								$public_display = array_map( 'trim', $public_display );
								$public_display = array_unique( $public_display );

								foreach ( $public_display as $id => $item ) {
							?>
								<option <?php selected( $current_user->display_name, $item ); ?>><?php echo $item; ?></option>
							<?php
								}
							?>
							</select>
						</p>
					</div>
				</div>

				<?php if ( $show_password_fields ) { ?>

					<div class="divider"></div>

					<?php if ( $wp_version < 4.3 ) : ?>

						<div class="column-container">
							<div class="half">
								<p class="profile-password clear">
									<label for="profile-password" class="fl"><?php _e( 'New Password', APP_TD ); ?></label>
									<input id="pass1" class="gradient" name="pass1" type="password" value="" size="30" aria-required="true" />
								</p>
							</div>
							<div class="half half_last">
								<p class="profile-confirm-password cl">
									<label for="profile-password" class="fl"><?php _e( 'Password Again', APP_TD ); ?></label>
									<input id="pass2" class="gradient" name="pass2" type="password" value="" size="30" aria-required="true" />
								</p>
							</div>
						</div>
						<div class="column-container clear">
							<div class="half">
								<div id="pass-strength-result"><?php _e( 'Strength indicator', APP_TD ); ?></div>
							</div>
							<div class="half half_last">
								<p class="pass-strength-hint"><?php _e( 'Your password should be at least seven characters long.', APP_TD ); ?></p>
							</div>
						</div>

					<?php else: ?>

						<div class="user-pass1-wrap manage-password">
							<div class="column-container clear">
								<div class="half">
									<p class="profile-password">
										<label for="profile-password" class="fl"><?php _e( 'New Password', APP_TD ); ?></label>

										<button type="button" class="button wp-generate-pw hide-if-no-js"><?php _e( 'Generate Password', APP_TD ); ?></button>
										<div class="wp-pwd hide-if-js">
											<?php $initial_password = wp_generate_password( 24 ); ?>
											<input type="password" id="pass1" name="pass1" class="regular-text" autocomplete="off" data-reveal="1" data-pw="<?php echo esc_attr( $initial_password ); ?>" aria-describedby="pass-strength-result" />
											<input type="text" style="display:none" name="pass2" id="pass2" autocomplete="off" />

											<div>
												<div id="pass-strength-result"><?php _e( 'Strength indicator', APP_TD ); ?></div>
												<p class="pass-strength-hint"><?php _e( 'Your password should be at least seven characters long.', APP_TD ); ?></p>
											</div>
										</div>
									</p>
								</div>
								<div class="half half_last wp-pwd hide-if-js">
									<label>&nbsp;</label>
									<div>
										<button type="button" class="button wp-hide-pw hide-if-no-js" data-start-masked="<?php echo (int) isset( $_POST['pass1'] ); ?>" data-toggle="0" aria-label="<?php esc_attr_e( 'Hide password' ); ?>">
											<span class="dashicons dashicons-hidden"></span>
											<span class="text"><?php _e( 'Hide', APP_TD ); ?></span>
										</button>
										<button type="button" class="button wp-cancel-pw hide-if-no-js" data-toggle="0" aria-label="<?php esc_attr_e( 'Cancel password change', APP_TD ); ?>">
											<span class="text"><?php _e( 'Cancel', APP_TD ); ?></span>
										</button>
									</div>
								</div>
							</div>
						</div>

					<?php endif; ?>

				<?php } ?>

				<?php
				do_action( 'profile_personal_options', $current_user );
				do_action( 'show_user_profile', $current_user );
				?>

				<p class="form-submit">
					<input type="submit" class="profile-submit cta-gradient cta-button gradient" value="<?php esc_attr_e( 'Update Profile', APP_TD ); ?>">
				</p>

				<input type="hidden" name="action" value="app-edit-profile" />
				<input type="hidden" name="user_id" id="user_id" value="<?php echo $user_ID; ?>" />
				<input type="hidden" name="admin_color" value="<?php echo esc_attr( $current_user->admin_color ); ?>" />
				<input type="hidden" name="rich_editing" value="<?php echo esc_attr( $current_user->rich_editing ); ?>" />
				<input type="hidden" name="comment_shortcuts" value="<?php echo esc_attr( $current_user->comment_shortcuts ); ?>" />

				<?php if ( _get_admin_bar_pref( 'front', $user_ID ) ) { ?>
					<input type="hidden" name="admin_bar_front" value="true" />
				<?php } ?>

			</form>
		</section>
	</div>


</div><!-- /#main -->

<div class="sidebar fl">
<?php
	$args = array(
		'dashboard_user' => wp_get_current_user(),
		'is_own_dashboard'=> 1
	);
	appthemes_load_template( 'sidebar-author.php', $args );
 ?>
</div>
