<?php
// Template Name: Register
?>

<?php global $wp_version; ?>

<div class="main fullwidth login" id="registration">

<?php if ( get_option( 'users_can_register' ) ) : ?>

	<div class="listing box-shadow drop-shadow lifted">
		<div class="listing-info-container">
			<div class="listing-info">

				<?php do_action( 'appthemes_notices' ); ?>

				<script type="text/javascript">
				//<![CDATA[<!--
					jQuery(document).ready(function($) {
						$('form#register-form').validate( {
							rules: { pass2: { equalTo: '#pass1' } }
						} );

						$('#pass1').focus(function(){
							$('#pconfirm').slideDown('fast');
						})
					});
				// -->//]]>
				</script>

				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'content', 'page' ); ?>

				<?php endwhile; ?>

				<div id="login">
					<form action="<?php echo appthemes_get_registration_url( 'login_post' ); ?>" method="post" class="login-form register-form" name="registerform" id="register-form">
						<p>
							<label for="login_username"><?php _e( 'Username:', APP_TD ); ?></label>
							<input tabindex="1" type="text" name="user_login" id="user_login" value="<?php if ( isset( $_POST['user_login'] ) ) echo esc_attr( stripslashes( $_POST['user_login'] ) ); ?>" class="required">
						</p>
						<p>
							<label for="login_username"><?php _e( 'First Name:', APP_TD ); ?></label>
							<input tabindex="2" type="text" name="firstname" id="firstname" value="<?php if ( isset( $_POST['firstname'] ) ) echo esc_attr( stripslashes( $_POST['firstname'] ) ); ?>" class="required">
						</p>
						<p>
							<label for="login_username"><?php _e( 'Last Name:', APP_TD ); ?></label>
							<input tabindex="3" type="text" name="lastname" id="lastname" value="<?php if ( isset( $_POST['lastname'] ) ) echo esc_attr( stripslashes( $_POST['lastname'] ) ); ?>" class="required">
						</p>
						<p>
							<label for="user_email"><?php _e( 'Email:', APP_TD ); ?></label>
							<input tabindex="4" type="text" name="user_email" id="user_email" value="<?php if ( isset( $_POST['user_email'] ) ) echo esc_attr( stripslashes( $_POST['user_email'] ) ); ?>" class="required email">
						</p>

						<?php if ( $wp_version < 4.3 ) : ?>

							<p>
								<label for="login_password" class="fl"><?php _e( 'Password:', APP_TD ); ?></label>
								<input tabindex="5" type="password" name="pass1" id="pass1" class="required password">
							</p>

							<p id="pconfirm">
								<label for="login_password" class="fl"><?php _e( 'Password Again:', APP_TD ); ?></label>
								<input tabindex="6" type="password" name="pass2" id="pass2" class="required password">
							</p>

						<?php else: ?>

							<div class="user-pass1-wrap manage-password">
								<p>
									<label for="pass1"><?php _e( 'Password:', APP_TD ); ?></label>

									<?php $initial_password = isset( $_POST['pass1'] ) ? stripslashes( $_POST['pass1'] ) : wp_generate_password( 18 ); ?>

									<input tabindex="3" type="password" id="pass1" name="pass1" class="text required" autocomplete="off" data-reveal="1" data-pw="<?php echo esc_attr( $initial_password ); ?>" aria-describedby="pass-strength-result" />
									<input type="text" style="display:none" name="pass2" id="pass2" autocomplete="off" />

									<button type="button" class="button secondary wp-hide-pw hide-if-no-js" data-start-masked="<?php echo (int) isset( $_POST['pass1'] ); ?>" data-toggle="0" aria-label="<?php esc_attr_e( 'Hide password', APP_TD ); ?>">
										<span class="dashicons dashicons-hidden"></span>
										<span class="text"><?php _e( 'Hide', APP_TD ); ?></span>
									</button>
								</p>
							</div>

						<?php endif; ?>

						<div class="strength-meter">
							<div id="pass-strength-result" class="hide-if-no-js"><?php _e( 'Strength indicator', APP_TD ); ?></div>
							<span class="description indicator-hint"><?php _e( 'Hint: The password should be at least seven characters long. To make it stronger, use upper and lower case letters, numbers and symbols like ! " ? $ % ^ &amp; ).', APP_TD ); ?></span>
						</div>

						<?php do_action( 'register_form' ); ?>

						<p class="submit">
							<input tabindex="30" type="submit" class="register-submit cta-gradient cta-button gradient" id="register" name="register" value="<?php _e( 'Register', APP_TD ); ?>" />
							<?php echo APP_Login::redirect_field(); ?>
						</div>

						<!-- autofocus the field -->
						<script type="text/javascript">try{document.getElementById('user_login').focus();}catch(e){}</script>

					</form>
				</div><!-- #login -->

			</div><!-- /.listing-info -->
		</div><!-- /.listing-info-containe -->
	</div><!-- /.listing -->

<?php else: ?>

	<h3><?php _e( 'User registration has been disabled.', APP_TD ); ?></h3>

<?php endif; ?>

</div><!-- /.fullwidth -->
