<?php

class IDEAX_Importer extends APP_Importer {

	function setup() {
		parent::setup();

		$this->args['admin_action_priority'] = 11;
		add_action( 'appthemes_after_import_upload_form', array( $this, 'example_csv_files' ) );
	}

	/**
	 * Inserts links to example CSV files into Importer page.
	 */
	function example_csv_files() {
		$link = html( 'a', array( 'href' => get_template_directory_uri() . '/examples/ideas.csv', 'title' => __( 'Download CSV file', APP_TD ) ), __( 'Ideas', APP_TD ) );

		echo html( 'p', sprintf( __( 'Download example CSV file: %s', APP_TD ), $link ) );
	}

}


function ideax_csv_importer() {
	$fields = array(
		'title'       => 'post_title',
		'description' => 'post_content',
		'status'      => 'post_status',
		'author'      => 'post_author',
		'date'        => 'post_date',
		'slug'        => 'post_name'
	);

	$args = array(
		'taxonomies' => array( IDEAX_CATEGORY, IDEAX_TAG, IDEAX_STATUS ),

		'custom_fields' => array(
			'internal_notes'    => '_idea_notes',
			'official_response' => '_idea_official_response',
		),

		'attachments' => true

	);

	$args = apply_filters( 'ideax_csv_importer_args', $args );

	appthemes_add_instance( array( 'IDEAX_Importer' => array( IDEAX_PTYPE, $fields, $args ) ) );
}
add_action( 'wp_loaded', 'ideax_csv_importer' );

