<?php
// Output the threaded comments
function ideax_comments( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
			<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
				<p><?php _e( 'Pingback:', APP_TD ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( __( '(Edit)', APP_TD ), '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;

		default :
			global $post;
	?>
			<li <?php comment_class( array( 'listing', 'response', 'box-shadow', 'drop-shadow', 'lifted' ) ); ?> id="li-comment-<?php comment_ID(); ?>" itemprop="comment" itemscope itemtype="http://schema.org/Comment">
				<article id="comment-<?php comment_ID(); ?>" class="comment clear">
					<div class="response-meta fl">
						<div class="author-avatar"><?php echo html_link( get_author_posts_url( $comment->user_id ), get_avatar( $comment, 55 ) ); ?></div>
						<div class="author-comment-count"><?php the_user_comments_count( $comment->user_id ); ?></div>
						<div class="author-join-date"><?php the_user_join_date( $comment->user_id ); ?></div>
					</div><!-- /.response-meta -->

					<div class="listing-info-container">

						<div class="listing-info">

							<div class="response-head-meta">
								<div class="response-date fr"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>" itemprop="url">
									<span itemprop="dateCreated" datetime="<?php esc_attr_e( get_the_date( 'c' ) ); ?>"><?php echo date_i18n( get_option('date_format'), strtotime( $comment->comment_date_gmt ) ); ?></span></a>
								</div>
								<h3 class="response-author" itemprop="author"><?php echo get_comment_author_link(); ?><?php echo ( $comment->user_id === $post->post_author ) ? '<span>' . __( 'Author', APP_TD ) . '</span>' : ''; ?></h3>
								<meta itemprop="discussionUrl" content="<?php the_permalink(); ?>" />
							</div>

							<?php if ( '0' == $comment->comment_approved ) : ?>
								<p class="comment-moderation"><?php _e( 'Your response is awaiting moderation.', APP_TD ); ?></p>
							<?php endif; ?>

							<section class="response-content" itemprop="text">
								<?php comment_text(); ?>
							</section><!-- /.response-content -->

						</div> <!-- /.response-wrap -->

						<div class="response-footer-wrap">

							<div class="response-footer">
								<?php comment_reply_link( array_merge( $args, array( 'reply_text' => '<span class="reply">' . __( 'Reply <span>&darr;</span>', APP_TD ) . '</span>', 'login_text' => '<span class="reply">' . __( 'Login to reply <span>&darr;</span>', APP_TD ) . '</span>', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
								<?php edit_comment_link( __( 'Edit', APP_TD ), '<span class="edit-link">', '</span>' ); ?>
							</div><!-- /.response-footer -->

						</div><!-- /.response-footer-wrap -->

					</div><!-- /.listing-info-container -->


				</article><!-- #comment-## -->
			</li><!-- /.response -->
	<?php
			break;
	endswitch; // end comment_type check
}


// override the default comment fields
function ideax_comment_fields( $fields ) {

	$commenter = wp_get_current_commenter();

	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );

	$fields['author'] = '<p class="comment-form-author"><label for="author">' . __( 'Name', APP_TD ) . ( $req ? ' <span class="required">*</span>' : '' ) . '</label><input id="author" class="required" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></p>';
	$fields['email']  = '<p class="comment-form-email"><label for="email">' . __( 'Email', APP_TD ) . ( $req ? ' <span class="required">*</span>' : '' ) . '</label><input id="email" class="required email" name="email" type="text" value="' . esc_attr( $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></p>';

	return $fields;
}
add_filter( 'comment_form_default_fields', 'ideax_comment_fields' );


// override the default comment values
function ideax_comment_form_defaults( $defaults ) {

	$defaults['comment_field']        = ideax_comment_wp_editor();
	$defaults['comment_notes_before'] = ideax_comment_notes_before();
	$defaults['logged_in_as']         = ideax_comment_notes_before();
	$defaults['comment_notes_after']  = '';
	$defaults['id_submit']            = 'comment-submit';
	$defaults['title_reply']          = __( 'Your Response', APP_TD );
	$defaults['title_reply_to']       = __( 'Leave a Response to %s', APP_TD );
	$defaults['label_submit']         = __( 'Post Your Response', APP_TD );

	return $defaults;
}
add_filter( 'comment_form_defaults', 'ideax_comment_form_defaults' );


// create a functional comment box
function ideax_comment_wp_editor() {

	// seems to be a WP core bug 
	// so we need to hack it here
	if ( ! comments_open() )
		return;

	ob_start();
	wp_editor( '', 'replycontent', array( 'media_buttons' => false, 'textarea_name' => 'comment', 'textarea_rows' => 10, 'tabindex' => '', 'editor_class' => 'required', 'teeny' => false, 'tinymce' => false, 'quicktags' => array( 'buttons' => 'strong,em,link,ul,li' ) ) );
	echo '<label for="replycontent" generated="true" class="error"></label>';

	return ob_get_clean();
}


// insert section above the first comment field
function ideax_comment_notes_before() {
	global $post, $user_ID;

	$user = wp_get_current_user();
	$user_identity = $user->exists() ? $user->display_name : '';

	ob_start();
?>
	<script type="text/javascript">
	//<![CDATA[<!--
		jQuery(function($) { $('form#commentform').validate(); } );
	// -->//]]>
	</script>

	<div class="avatar-wrap">

		<?php if ( is_user_logged_in() ) : ?>

			<div class="avatar fl"><?php echo get_avatar( $user->user_email, '40', '', false ); ?></div>
			<p><?php printf( __( 'Logged in as %1$s. <a href="%2$s">Logout</a>', APP_TD ), $user_identity, wp_logout_url( get_permalink( $post->ID ) ) ); ?><br /><a href="http://www.gravatar.com/" target="_blank"><?php _e( 'Change your picture', APP_TD ); ?></a></p>

		<?php else : ?>

			<p><?php printf( __( 'Existing user? <a href="%s">Login</a> to post your response.', APP_TD ), wp_login_url( get_permalink( $post->ID ) . '#respond' ) ); ?></p>
			<div class="avatar fl"><?php echo get_avatar( 0, '40', '', false ); ?></div>
			<p><?php _e( '&larr; Your Gravatar here. Already have one?', APP_TD ); ?><br /><?php printf( __( 'No need to do anything, otherwise <a href="%s" target="_blank">get one now!</a>', APP_TD ), 'http://www.gravatar.com/' ); ?></p>

		<?php endif; ?>

	</div><!-- .avatar-wrap -->

<?php
	return ob_get_clean();
}
